<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ContactRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
                'email'=>'required|email',
                'name' =>'required',
                'subject'=>'required|min:3|max:50',
                'message'=>'required|min:15|max:500'
            
        ];
    }
    public function messages() {
        return[

            'name.required' => 'Необходимо указать имя!',
            'email.required' => 'Для получения ответа на ваше сообщение, необходимо указать email.',
            'email.email' => 'Email пишется в формате user@site.domen',
            'subject.required' => 'Чтобы быстрее ответить на ваше сообщения необходимо указать тему письма.',
            'message.required' => 'Без письма мы не можем вам на него ответить.'

        ];
    }
}
